Server Requirements

Das Beast-Framework hat einige Systemanforderungen.
Allerdings müssen Sie sicherstellen, dass Ihr Serve die folgenden Anforderungen erfüllt:

  • PHP >= 5.6.4 or PHP >= 7.0.1
  • OpenSSL PHP Extension
  • PDO PHP Extension
  • Mbstring PHP Extension
  • Tokenizer PHP Extension
  • XML PHP Extension


Web Server Configuration

Apache

Das Beast CMS enthält eine .htaccess-Datei, die verwendet wird, um URLs ohne den index.php-Frontcontroller im Pfad bereitzustellen. Bevor du das Beast CMS mit deiner Apache Installation verwendest, solltest du das mod_rewrite modul aktivieren, damit die .htaccess-Datei vom Server verwendet wird.

Wenn die .htaccess-Datei, die mitgeliefert wird, nicht mit deiner Apache-Installation arbeitet, versuch diese Alternative:

Options +FollowSymLinks
RewriteEngine On
RewriteCond %{REQUEST_FILENAME} !-d
RewriteCond %{REQUEST_FILENAME} !-f
RewriteRule ^ index.php [L]
TOP
Diese Webseite verwendet Cookies. Cookies werden zur Benutzerführung und Webanalyse verwendet und helfen dabei, diese Webseite besser zu machen. Mehr Infos hier: Datenschutzerklärung
LOADING